# JPMC-PDP Documentation from https://developer.payments.jpmorgan.com # Get the status of a Real-Time Payments request In this tutorial, you will learn how to use the Global Payments API to retrieve the status of an Real-Time Payments (RTP) request. By the end of this tutorial, you will know how to: Use a `paymentId` to manually check and confirm the status of your request. > The Global Payments API supports [callbacks](/docs/treasury/global-payments/capabilities/global-payments-2/callbacks) for automatic status updates. > ## Before you begin To get the status or details of a RTP request, you need the following: - A registered and fully onboarded Developer Account on the J.P. Morgan Payments Developer Portal. - An active project that provides the credentials required to make API requests. - A paymentId provided in a successful RTP payment response. ## Send a request Request payloads for the Global Payments API contain optional and required fields. Use the `paymentId` to retrieve RTP payment information. The following example shows how to send a `GET` request to the `/payments` endpoint with your `paymentId` to retrive the status or full details of an RTP payment. ### Retrieve RTP payment status To get the status of a payment, send a `GET` request to the `/payments` endpoint with your `paymentId`. The response will be in `SUMMARY` view by default, though you may specify `view=SUMMARY` if preferred. ```curl curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{98275a2d-1e88-beed-6938-0521a7e0ae5f} \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include the current status of your RTP payment: ```json { "paymentId": "98275a2d-1e88-beed-6938-0521a7e0ae5f", "paymentStatus": "PROCESSING", "paymentSubStatus": "PROCESSING_BY_JPM", "statusUpdatedAt": "2024-10-15T14:15:22Z", "requestedExecutionDate": "2024-10-15", "paymentIdentifiers": { "endToEndId": "Pz1109gt23Irl3541130" }, "transferType": "CREDIT", "paymentType": "RTP" } ``` ### Retrieve RTP payment details (FULL view) To get the full details of an RTP payment, send a `GET` request to the `/payments` endpoint and specify `view=FULL`. ```json curl \ --request GET \ --url https://api.payments.jpmorgan.com/payment/v2/payments/{98275a2d-1e88-beed-6938-0521a7e0ae5f?view=FULL} \ --header 'Accept: application/json' \ --header 'Request-Id: 1a2b3c4d-5e6f-7g8h-9i0j-1121a3m5o6p' ``` The following response will include all available details for your RTP payment: ```json { "paymentId": "98275a2d-1e88-beed-6938-0521a7e0ae5f", "paymentStatus": "COMPLETED", "paymentSubStatus": "COMPLETED", "statusUpdatedAt": "2024-10-15T14:15:22Z", "requestedExecutionDate": "2024-10-15", "paymentIdentifiers": { "endToEndId": "Pz1109gt23Irl3541130" }, "transferType": "CREDIT", "value": { "currency": "USD", "amount": "500" }, "paymentType": "RTP", "debtor": { "name": "John Doe", "account": { "accountNumber": "123456789", "accountType": "DDA" } }, "debtorAgent": { "financialInstitutionIds": [ { "id": "021000021", "idType": "USABA" } ] }, "creditor": { "account": { "accountNumber": "98765432" }, "name": "Jane Doe", "postalAddress": { "addressLines": [ "Maple Avenue", "Building 5678", "Rivertown" ], "postalCode": "67890", "countrySubdivision": "AB", "country": "US" } }, "creditorAgent": { "financialInstitutionIds": [ { "id": "071000013", "idType": "USABA" } ] }, "additionalParties": { "ultimateDebtor": { "name": "Jane Smith", "individualIds": [ { "individualId": "001" } ], "postalAddress": { "addressLines": [ "Fantasy Lane", "Imaginary City" ], "postalCode": "99999", "country": "US" }, "dateAndPlaceOfBirth": { "birthDate": "1984-01-01", "city": "Hull", "country": "GB" } } }, "remittanceInformation": { "unstructuredInformation": [ { "text": "Payment for rustic vintage furniture" } ] } } ``` For a full list of supported status response types, see [Callbacks](/docs/treasury/global-payments/capabilities/global-payments-2/callbacks#status-response-types). ## Related - For more information about RTP payment parameters, see [Payment parameters](/docs/treasury/global-payments/capabilities/global-payments-2/real-time-payments/payment-parameters). - For more information about status responses and error codes supported by the Global Payments API, see [Global Payments 2 status responses and error codes](/api/treasury/global-payments/global-payments-2/error-codes).